<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>
        Personal Medical Health
    </title>
    <meta name="description" content="List filter">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, user-scalable=no, minimal-ui">
    <!-- Call App Mode on ios devices -->
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <!-- Remove Tap Highlight on Windows Phone IE -->
    <meta name="msapplication-tap-highlight" content="no">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- base css -->
    <link rel="stylesheet" media="screen, print" href="../css/vendors.bundle.css">
    <link rel="stylesheet" media="screen, print" href="../css/app.bundle.css">
    <!-- Place favicon.ico in the root directory -->
    <link rel="apple-touch-icon" sizes="180x180" href="../img/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../img/favicon/favicon-32x32.png">
    <link rel="mask-icon" href="../img/favicon/safari-pinned-tab.svg" color="#5bbad5">
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
</head>

<body class="mod-bg-1 ">
<!-- DOC: script to save and load page settings -->
<script>
    /**
     *	This script should be placed right after the body tag for fast execution
     *	Note: the script is written in pure javascript and does not depend on thirdparty library
     **/
    'use strict';

    var classHolder = document.getElementsByTagName("BODY")[0],
        /**
         * Load from localstorage
         **/
        themeSettings = (localStorage.getItem('themeSettings')) ? JSON.parse(localStorage.getItem('themeSettings')) :
            {},
        themeURL = themeSettings.themeURL || '',
        themeOptions = themeSettings.themeOptions || '';
    /**
     * Load theme options
     **/
    if (themeSettings.themeOptions) {
        classHolder.className = themeSettings.themeOptions;
        console.log("%c✔ Theme settings loaded", "color: #148f32");
    }
    else {
        console.log("Heads up! Theme settings is empty or does not exist, loading default settings...");
    }
    if (themeSettings.themeURL && !document.getElementById('mytheme')) {
        var cssfile = document.createElement('link');
        cssfile.id = 'mytheme';
        cssfile.rel = 'stylesheet';
        cssfile.href = themeURL;
        document.getElementsByTagName('head')[0].appendChild(cssfile);
    }
    /**
     * Save to localstorage
     **/
    var saveSettings = function () {
        themeSettings.themeOptions = String(classHolder.className).split(/[^\w-]+/).filter(function (item) {
            return /^(nav|header|mod|display)-/i.test(item);
        }).join(' ');
        if (document.getElementById('mytheme')) {
            themeSettings.themeURL = document.getElementById('mytheme').getAttribute("href");
        };
        localStorage.setItem('themeSettings', JSON.stringify(themeSettings));
    }
    /**
     * Reset settings
     **/
    var resetSettings = function () {
        localStorage.setItem("themeSettings", "");
    }

</script>
<!-- BEGIN Page Wrapper -->
<div class="page-wrapper">
    <div class="page-inner">
        <!-- BEGIN Left Aside -->
        <aside class="page-sidebar">
            <div class="page-logo">
                <a href="#" class="page-logo-link press-scale-down d-flex align-items-center position-relative"
                   data-toggle="modal" data-target="#modal-shortcut">
                    <span class="page-logo-text mr-1">Personal Medical Health</span>
                </a>
            </div>
            <!-- BEGIN PRIMARY NAVIGATION -->
            <nav id="js-primary-nav" class="primary-nav" role="navigation">
                <div class="info-card">
                    <img src="../img/demo/avatars/avatar-admin.png" class="profile-image rounded-circle"
                         alt="Peter">
                    <div class="info-card-text">
                        <a href="#" class="d-flex align-items-center text-white">
                                <span class="text-truncate text-truncate-sm d-inline-block">
                                    Peter K.
                                </span>
                        </a>
                        <span class="d-inline-block text-truncate text-truncate-sm">Washington, USA</span>
                    </div>
                    <img src="../img/card-backgrounds/cover-2-lg.png" class="cover" alt="cover">
                </div>
                <ul id="js-nav-menu" class="nav-menu">
                    <li>
                        <a href="/doctorsList" title="Application Intel" data-filter-tags="application intel">
                            <i class="fa fa-stethoscope" style='font-size:28px'></i>
                            <span class="nav-link-text" data-i18n="nav.application_intel">&nbsp Doctors List</span>
                        </a>
                    </li>
                    <li class="active open">
                        <a href="/patientsList" title="Package Info" data-filter-tags="package info">
                            <i class="fa fa-heartbeat" style='font-size:28px'></i>
                            <span class="nav-link-text" data-i18n="nav.package_info">&nbsp Patients Info</span>
                        </a>
                    </li>
                    <li>
                        <a href="#" title="UI Components" data-filter-tags="ui components">
                            <i class="fal fa-edit" style='font-size:28px'></i>
                            <span class="nav-link-text" data-i18n="nav.ui_components">&nbsp Registration</span>
                        </a>
                        <ul>
                            <li>
                                <a href="/doctorReg" title="Alerts" data-filter-tags="ui components alerts">
                                    <span class="nav-link-text" data-i18n="nav.ui_components_alerts">Doctor Registration</span>
                                </a>
                            </li>
                            <li>
                                <a href="/patientReg" title="Tooltips" data-filter-tags="ui components tooltips">
                                    <span class="nav-link-text" data-i18n="nav.ui_components_tooltips">Patient Registration</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <!--                        <li>-->
                    <!--                            <a href="#" title="Utilities" data-filter-tags="utilities">-->
                    <!--                                <i class="fa fa-medkit" style='font-size:28px'></i>-->
                    <!--                                <span class="nav-link-text" data-i18n="nav.utilities">&nbsp Medicines</span>-->
                    <!--                            </a>-->
                    <!--                        </li>-->
                    <!--                        <li>-->
                    <!--                            <a href="#" title="Font Icons" data-filter-tags="font icons">-->
                    <!--                                <i class="fa fa-hospital-o" style='font-size:30px'></i>-->
                    <!--                                <span class="nav-link-text" data-i18n="nav.font_icons">&nbsp Hospitals</span>-->
                    <!--                            </a>-->
                    <!--                        </li>-->
                    <!--                        <li>-->
                    <!--                            <a href="#" title="Theme Settings" data-filter-tags="theme settings">-->
                    <!--                                <i class="fal fa-cog"  style='font-size:28px'></i>-->
                    <!--                                <span class="nav-link-text" data-i18n="nav.theme_settings">&nbsp Settings</span>-->
                    <!--                            </a>-->
                    <!--                        </li>-->
                </ul>
            </nav>
            <!-- END PRIMARY NAVIGATION -->
            <!-- NAV FOOTER -->
            <!-- END NAV FOOTER -->
        </aside>
        <!-- END Left Aside -->
        <div class="page-content-wrapper">
            <!-- BEGIN Page Header -->
            <header class="page-header" role="banner">
                <div class="hidden-md-down dropdown-icon-menu position-relative">
                    <a href="#" class="header-btn btn js-waves-off" data-action="toggle"
                       data-class="nav-function-hidden" title="Hide Navigation">
                        <i class="ni ni-menu"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="#" class="btn js-waves-off" data-action="toggle"
                               data-class="nav-function-minify" title="Minify Navigation">
                                <i class="ni ni-minify-nav"></i>
                            </a>
                        </li>
                        <li>
                            <a href="#" class="btn js-waves-off" data-action="toggle"
                               data-class="nav-function-fixed" title="Lock Navigation">
                                <i class="ni ni-lock-nav"></i>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="ml-auto d-flex">
                    <div>
                        <a href="#" data-toggle="dropdown" title="drlantern@gotbootstrap.com"
                           class="header-icon d-flex align-items-center justify-content-center ml-2">
                            <img src="../img/demo/avatars/avatar-admin.png" class="profile-image rounded-circle"
                                 alt="Peter K.">
                        </a>
                        <div class="dropdown-menu dropdown-menu-animated dropdown-lg">
                            <div class="dropdown-header bg-trans-gradient d-flex flex-row py-4 rounded-top">
                                <div class="d-flex flex-row align-items-center mt-1 mb-1 color-white">
                                        <span class="mr-2">
                                            <img src="../img/demo/avatars/avatar-admin.png"
                                                 class="rounded-circle profile-image" alt="Peter">
                                        </span>
                                    <div class="info-card-text">
                                        <div class="fs-lg text-truncate text-truncate-lg">Peter K.</div>
                                        <span class="text-truncate text-truncate-md opacity-80">Washington, USA</span>
                                    </div>
                                </div>
                            </div>
                            <div class="dropdown-divider m-0"></div>
                            <div class="dropdown-divider m-0"></div>
                            <a class="dropdown-item fw-500 pt-3 pb-3" href="/login">
                                <span data-i18n="drpdwn.page-logout">Logout</span>
                                <span class="float-right fw-n">&commat;admin</span>
                            </a>
                        </div>
                    </div>
                </div>
            </header>
            <!-- END Page Header -->
            <!-- BEGIN Page Content -->
            <!-- the #js-page-content id is needed for some plugins to initialize -->
            <main id="js-page-content" role="main" class="page-content">
                <ol class="breadcrumb page-breadcrumb">
                    <li class="position-absolute pos-top pos-right d-none d-sm-block"><span
                                class="js-get-date"></span></li>
                </ol>
                <div class="subheader">
                    <h1 class="subheader-title">
                        <i class='subheader-icon fal fa-window'></i> Patient Information
                    </h1>
                </div>
                <div class="row">
                    <div class="col-2"></div>
                    <div class="col-8">
                        <div id="panel-3" class="panel">
                            <div class="panel-hdr">
                                <h2>
                                    Patient Record
                                </h2>
                            </div>
                            <div class="panel-container show">
                                <div class="panel-content">
                                    <div class="card m-auto border">
                                        <div class="card-body">
                                            <table class="table table-borderless">
                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Patient Username </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.holderName %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Address </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.address %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Date of Birth </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.holderDOB %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Height </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.height %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Blood Group </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.bloodGroup %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Issued By </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.issuer %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Issued Date </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.issuedDate %>
                                                        </blockquote>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td :style="`width: 30;`">
                                                        <label class="m-0">Emergency Contact </label>
                                                    </td>
                                                    <td> : </td>
                                                    <td :style="`width: 70%;`">
                                                        <blockquote class="blockquote mb-0">
                                                            <%= record.emergencyContact.contactName %>/<%= record.emergencyContact.contactNumber %>
                                                        </blockquote>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="panel-3" class="panel">
                            <div class="panel-hdr">
                                <h2>
                                    Reports
                                </h2>
                            </div>
                            <% reports.forEach(function(report,i){ %>
                                <div class="panel-container show">
                                    <div class="panel-content">
                                        <div class="card m-auto border">
                                            <div class="card-body">
                                                <table class="table table-borderless">
                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Report Name </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.reportName %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Issued By </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.referredDoctor %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Issued Date </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.issuedDate %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Description </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <p id="yy<%= i %>" hidden> <%= report.description %> </p>
                                                                <div id="mm<%= i %>" ></div>
                                                                <script>
                                                                    var count = parseInt("<%= reportCount %>");

                                                                    for(var j=0; j<count; j++){
                                                                        var $logg = $( "#mm"+j ),
                                                                            strr = document.getElementById("yy"+j).innerText,
                                                                            htmll = $.parseHTML( strr );

                                                                        $logg.html( htmll );

                                                                    }

                                                                </script>
                                                            </blockquote>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <% }) %>
                        </div>
                        <div id="panel-3" class="panel">
                            <div class="panel-hdr">
                                <h2>
                                    Prescriptions
                                </h2>
                            </div>
                            <% prescriptions.forEach(function(report,i){ %>
                                <div class="panel-container show">
                                    <div class="panel-content">
                                        <div class="card m-auto border">
                                            <div class="card-body">
                                                <div>
                                                    <button type="button" class="btn btn-primary"> ID
                                                        <span class="badge bg-primary-200 ml-2"><%= report.prescriptionKey %></span>
                                                    </button>
                                                </div><br>
                                                <% if(report.received){ %>
                                                    <blockquote class="blockquote mb-0">
                                                        <div class="alert alert-info fade show" role="alert">
                                                            <div class="d-flex align-items-center">
                                                                <div class="alert-icon">
                                                                    <i class="fal fa-exclamation-triangle"></i>
                                                                </div>
                                                                <div class="flex-1">
                                                                    <span class="h5 m-0 fw-700">Prescription Status </span>
                                                                </div>
                                                                <button type="button" class="btn btn-danger btn-pills btn-sm btn-w-m" data-dismiss="alert" aria-label="Close">
                                                                    <i class="fal fa-check"></i> Already Received
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </blockquote>
                                                <% }else{ %>
                                                    <blockquote class="blockquote mb-0">
                                                        <div class="alert alert-info fade show" role="alert">
                                                            <div class="d-flex align-items-center">
                                                                <div class="alert-icon">
                                                                    <i class="fal fa-exclamation-triangle"></i>
                                                                </div>
                                                                <div class="flex-1">
                                                                    <span class="h5 m-0 fw-700">Prescription Status </span>
                                                                </div>
                                                                <button type="button" class="btn btn-info btn-pills btn-sm btn-w-m  mr-1">
                                                                    <i class="fal fa-times"></i> Not Recieved Yet
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </blockquote>
                                                <% } %>

                                                <table class="table table-borderless">
                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Drugs </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.drugs %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Issued By </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.issuedBy %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Issued Date </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.issuedDate %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Valid Till </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <%= report.voidTill %>
                                                            </blockquote>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td :style="`width: 30;`">
                                                            <label class="m-0">Description </label>
                                                        </td>
                                                        <td> : </td>
                                                        <td :style="`width: 70%;`">
                                                            <blockquote class="blockquote mb-0">
                                                                <p id="ttt<%= i %>" hidden> <%= report.description %> </p>
                                                                <div id="log<%= i %>" ></div>
                                                                <script>
                                                                    var count = parseInt("<%= prescriptionCount %>");

                                                                    for(var j=0; j<count; j++){
                                                                        var $log = $( "#log"+j ),
                                                                            str = document.getElementById("ttt"+j).innerText,
                                                                            html = $.parseHTML( str );

                                                                        $log.html( html );

                                                                    }

                                                                </script>
                                                            </blockquote>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <% }) %>
                        </div>
                    </div>
                </div>
            </main>
            <!-- this overlay is activated only when mobile menu is triggered -->
            <div class="page-content-overlay" data-action="toggle" data-class="mobile-nav-on"></div>
            <!-- END Page Content -->
            <!-- BEGIN Color profile -->
            <!-- this area is hidden and will not be seen on screens or screen readers -->
            <!-- we use this only for CSS color refernce for JS stuff -->
            <p id="js-color-profile" class="d-none">
                <span class="color-primary-50"></span>
                <span class="color-primary-100"></span>
                <span class="color-primary-200"></span>
                <span class="color-primary-300"></span>
                <span class="color-primary-400"></span>
                <span class="color-primary-500"></span>
                <span class="color-primary-600"></span>
                <span class="color-primary-700"></span>
                <span class="color-primary-800"></span>
                <span class="color-primary-900"></span>
                <span class="color-info-50"></span>
                <span class="color-info-100"></span>
                <span class="color-info-200"></span>
                <span class="color-info-300"></span>
                <span class="color-info-400"></span>
                <span class="color-info-500"></span>
                <span class="color-info-600"></span>
                <span class="color-info-700"></span>
                <span class="color-info-800"></span>
                <span class="color-info-900"></span>
                <span class="color-danger-50"></span>
                <span class="color-danger-100"></span>
                <span class="color-danger-200"></span>
                <span class="color-danger-300"></span>
                <span class="color-danger-400"></span>
                <span class="color-danger-500"></span>
                <span class="color-danger-600"></span>
                <span class="color-danger-700"></span>
                <span class="color-danger-800"></span>
                <span class="color-danger-900"></span>
                <span class="color-warning-50"></span>
                <span class="color-warning-100"></span>
                <span class="color-warning-200"></span>
                <span class="color-warning-300"></span>
                <span class="color-warning-400"></span>
                <span class="color-warning-500"></span>
                <span class="color-warning-600"></span>
                <span class="color-warning-700"></span>
                <span class="color-warning-800"></span>
                <span class="color-warning-900"></span>
                <span class="color-success-50"></span>
                <span class="color-success-100"></span>
                <span class="color-success-200"></span>
                <span class="color-success-300"></span>
                <span class="color-success-400"></span>
                <span class="color-success-500"></span>
                <span class="color-success-600"></span>
                <span class="color-success-700"></span>
                <span class="color-success-800"></span>
                <span class="color-success-900"></span>
                <span class="color-fusion-50"></span>
                <span class="color-fusion-100"></span>
                <span class="color-fusion-200"></span>
                <span class="color-fusion-300"></span>
                <span class="color-fusion-400"></span>
                <span class="color-fusion-500"></span>
                <span class="color-fusion-600"></span>
                <span class="color-fusion-700"></span>
                <span class="color-fusion-800"></span>
                <span class="color-fusion-900"></span>
            </p>
            <!-- END Color profile -->
        </div>
    </div>
</div>
<!-- END Page Wrapper -->
<!-- BEGIN Quick Menu -->
<!-- to add more items, please make sure to change the variable '$menu-items: number;' in your _page-components-shortcut.scss -->
<nav class="shortcut-menu d-none d-sm-block">
    <input type="checkbox" class="menu-open" name="menu-open" id="menu_open" />
    <label for="menu_open" class="menu-open-button ">
        <span class="app-shortcut-icon d-block"></span>
    </label>
    <a href="#" class="menu-item btn" data-toggle="tooltip" data-placement="left" title="Scroll Top">
        <i class="fal fa-arrow-up"></i>
    </a>
    <a href="#" class="menu-item btn" data-action="app-fullscreen" data-toggle="tooltip" data-placement="left"
       title="Full Screen">
        <i class="fal fa-expand"></i>
    </a>
    <a href="#" class="menu-item btn" data-action="app-print" data-toggle="tooltip" data-placement="left"
       title="Print page">
        <i class="fal fa-print"></i>
    </a>
</nav>
<!-- END Quick Menu -->
<!-- BEGIN Page Settings -->
<div class="modal fade js-modal-settings modal-backdrop-transparent" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-right modal-md">
        <div class="modal-content">
            <div class="dropdown-header bg-trans-gradient d-flex justify-content-center align-items-center w-100">
                <h4 class="m-0 text-center color-white">
                    Layout Settings
                    <small class="mb-0 opacity-80">User Interface Settings</small>
                </h4>
                <button type="button" class="close text-white position-absolute pos-top pos-right p-2 m-1 mr-2"
                        data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fal fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body p-0">
                <div class="settings-panel">
                    <div class="mt-4 d-table w-100 px-5">
                        <div class="d-table-cell align-middle">
                            <h5 class="p-0">
                                App Layout
                            </h5>
                        </div>
                    </div>
                    <div class="list" id="fh">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="header-function-fixed"></a>
                        <span class="onoffswitch-title">Fixed Header</span>
                        <span class="onoffswitch-title-desc">header is in a fixed at all times</span>
                    </div>
                    <div class="list" id="nff">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="nav-function-fixed"></a>
                        <span class="onoffswitch-title">Fixed Navigation</span>
                        <span class="onoffswitch-title-desc">left panel is fixed</span>
                    </div>
                    <div class="list" id="nfm">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="nav-function-minify"></a>
                        <span class="onoffswitch-title">Minify Navigation</span>
                        <span class="onoffswitch-title-desc">Skew nav to maximize space</span>
                    </div>
                    <div class="expanded">
                        <ul class="">
                            <li>
                                <div class="bg-fusion-50" data-action="toggle" data-class="mod-bg-1"></div>
                            </li>
                            <li>
                                <div class="bg-warning-200" data-action="toggle" data-class="mod-bg-2"></div>
                            </li>
                            <li>
                                <div class="bg-primary-200" data-action="toggle" data-class="mod-bg-3"></div>
                            </li>
                            <li>
                                <div class="bg-success-300" data-action="toggle" data-class="mod-bg-4"></div>
                            </li>
                        </ul>
                        <div class="list" id="mbgf">
                            <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                               data-class="mod-fixed-bg"></a>
                            <span class="onoffswitch-title">Fixed Background</span>
                        </div>
                    </div>
                    <div class="mt-4 d-table w-100 px-5">
                        <div class="d-table-cell align-middle">
                            <h5 class="p-0">
                                Mobile Menu
                            </h5>
                        </div>
                    </div>
                    <div class="list" id="nmp">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="nav-mobile-push"></a>
                        <span class="onoffswitch-title">Push Content</span>
                        <span class="onoffswitch-title-desc">Content pushed on menu reveal</span>
                    </div>
                    <div class="list" id="nmno">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="nav-mobile-no-overlay"></a>
                        <span class="onoffswitch-title">No Overlay</span>
                        <span class="onoffswitch-title-desc">Removes mesh on menu reveal</span>
                    </div>
                    <div class="list" id="sldo">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="nav-mobile-slide-out"></a>
                        <span class="onoffswitch-title">Off-Canvas <sup>(beta)</sup></span>
                        <span class="onoffswitch-title-desc">Content overlaps menu</span>
                    </div>
                    <div class="mt-4 d-table w-100 px-5">
                        <div class="d-table-cell align-middle">
                            <h5 class="p-0">
                                Global Modifications
                            </h5>
                        </div>
                    </div>
                    <div class="list" id="mcbg">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="mod-clean-page-bg"></a>
                        <span class="onoffswitch-title">Clean Page Background</span>
                        <span class="onoffswitch-title-desc">adds more whitespace</span>
                    </div>
                    <div class="list" id="mbf">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="mod-bigger-font"></a>
                        <span class="onoffswitch-title">Bigger Content Font</span>
                        <span class="onoffswitch-title-desc">content fonts are bigger for readability</span>
                    </div>
                    <div class="list" id="mhc">
                        <a href="#" onclick="return false;" class="btn btn-switch" data-action="toggle"
                           data-class="mod-high-contrast"></a>
                        <span class="onoffswitch-title">High Contrast Text (WCAG 2 AA)</span>
                        <span class="onoffswitch-title-desc">4.5:1 text contrast ratio</span>
                    </div>
                    <div class="list mt-1">
                        <span class="onoffswitch-title">Global Font Size <small>(RESETS ON REFRESH)</small> </span>
                        <div class="btn-group btn-group-sm btn-group-toggle my-2" data-toggle="buttons">
                            <label class="btn btn-default btn-sm" data-action="toggle-swap"
                                   data-class="root-text-sm" data-target="html">
                                <input type="radio" name="changeFrontSize"> SM
                            </label>
                            <label class="btn btn-default btn-sm" data-action="toggle-swap" data-class="root-text"
                                   data-target="html">
                                <input type="radio" name="changeFrontSize" checked=""> MD
                            </label>
                            <label class="btn btn-default btn-sm" data-action="toggle-swap"
                                   data-class="root-text-lg" data-target="html">
                                <input type="radio" name="changeFrontSize"> LG
                            </label>
                            <label class="btn btn-default btn-sm" data-action="toggle-swap"
                                   data-class="root-text-xl" data-target="html">
                                <input type="radio" name="changeFrontSize"> XL
                            </label>
                        </div>
                        <span class="onoffswitch-title-desc d-block mb-0">Change <strong>root</strong> font size to
                                effect rem
                                values</span>
                    </div>
                    <hr class="mb-0 mt-4">
                    <div class="mt-2 d-table w-100 pl-5 pr-3">
                        <div class="d-table-cell align-middle">
                            <h5 class="p-0">
                                Theme colors
                            </h5>
                        </div>
                    </div>
                    <div class="expanded theme-colors pl-5 pr-3">
                        <ul class="m-0">
                            <li>
                                <a href="#" id="myapp-0" data-action="theme-update" data-themesave data-theme=""
                                   data-toggle="tooltip" data-placement="top" title="Wisteria (base css)"
                                   data-original-title="Wisteria (base css)"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-1" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-1.css" data-toggle="tooltip"
                                   data-placement="top" title="Tapestry" data-original-title="Tapestry"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-2" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-2.css" data-toggle="tooltip"
                                   data-placement="top" title="Atlantis" data-original-title="Atlantis"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-3" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-3.css" data-toggle="tooltip"
                                   data-placement="top" title="Indigo" data-original-title="Indigo"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-4" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-4.css" data-toggle="tooltip"
                                   data-placement="top" title="Dodger Blue" data-original-title="Dodger Blue"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-5" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-5.css" data-toggle="tooltip"
                                   data-placement="top" title="Tradewind" data-original-title="Tradewind"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-6" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-6.css" data-toggle="tooltip"
                                   data-placement="top" title="Cranberry" data-original-title="Cranberry"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-7" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-7.css" data-toggle="tooltip"
                                   data-placement="top" title="Oslo Gray" data-original-title="Oslo Gray"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-8" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-8.css" data-toggle="tooltip"
                                   data-placement="top" title="Chetwode Blue"
                                   data-original-title="Chetwode Blue"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-9" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-9.css" data-toggle="tooltip"
                                   data-placement="top" title="Apricot" data-original-title="Apricot"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-10" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-10.css" data-toggle="tooltip"
                                   data-placement="top" title="Blue Smoke" data-original-title="Blue Smoke"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-11" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-11.css" data-toggle="tooltip"
                                   data-placement="top" title="Green Smoke" data-original-title="Green Smoke"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-12" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-12.css" data-toggle="tooltip"
                                   data-placement="top" title="Wild Blue Yonder"
                                   data-original-title="Wild Blue Yonder"></a>
                            </li>
                            <li>
                                <a href="#" id="myapp-13" data-action="theme-update" data-themesave
                                   data-theme="css/themes/cust-theme-13.css" data-toggle="tooltip"
                                   data-placement="top" title="Emerald" data-original-title="Emerald"></a>
                            </li>
                        </ul>
                    </div>
                    <hr class="mb-0 mt-4">
                    <div class="pl-5 pr-3 py-3 bg-faded">
                        <div class="row no-gutters">
                            <div class="col-6 pr-1">
                                <a href="#" class="btn btn-outline-danger fw-500 btn-block"
                                   data-action="app-reset">Reset Settings</a>
                            </div>
                            <div class="col-6 pl-1">
                                <a href="#" class="btn btn-danger fw-500 btn-block"
                                   data-action="factory-reset">Factory Reset</a>
                            </div>
                        </div>
                    </div>
                </div> <span id="saving"></span>
            </div>
        </div>
    </div>
</div>
<!-- END Page Settings -->
<!-- base vendor bundle:
         DOC: if you remove pace.js from core please note on Internet Explorer some CSS animations may execute before a page is fully loaded, resulting 'jump' animations
                    + pace.js (recommended)
                    + jquery.js (core)
                    + jquery-ui-cust.js (core)
                    + popper.js (core)
                    + bootstrap.js (core)
                    + slimscroll.js (extension)
                    + app.navigation.js (core)
                    + ba-throttle-debounce.js (core)
                    + waves.js (extension)
                    + smartpanels.js (extension)
                    + src/../jquery-snippets.js (core) -->
<script src="../js/vendors.bundle.js"></script>
<script src="../js/app.bundle.js"></script>
<script>
    // default list filter
    initApp.listFilter($('#js_default_list'), $('#js_default_list_filter'));
    // custom response message
    initApp.listFilter($('#js-list-msg'), $('#js-list-msg-filter'));
    //accordion filter
    initApp.listFilter($('#js_list_accordion'), $('#js_list_accordion_filter'));
    // nested list filter
    initApp.listFilter($('#js_nested_list'), $('#js_nested_list_filter'));
    //init navigation
    initApp.buildNavigation($('#js_nested_list'));

</script>
</body>

</html>